function checkForm(formElem) {
    if (disableValidation !== true) {
        var form = formElem;
        var submitButton = form.querySelector('.submit-form');
        var prefixes = [
            2,
            32,
            33,
            34,
            35,
            36,
            37,
            38,
            39,
            42,
            43,
            44,
            45,
            53,
            54,
            55,
            56,
            60,
            61,
            62,
            63,
            64,
            65,
            68,
            69,
            73,
            74,
            75,
            76,
            77,
            80,
            800,
            801,
            802,
            803,
            804,
            805,
            810,
            811,
            812,
            813,
            814,
            815,
            816,
            817,
            818,
            819,
            82,
            83,
            84,
            85,
            86,
            871,
            872,
            873,
            874,
            875,
            876,
            88,
            89,
            90,
            91,
            92,
            93,
            94,
            95,
            96,
            97,
            98,
            99
        ]

        var prefixesForLength = [
            2,
            32,
            34,
            35,
            36,
            37,
            38,
            39,
            42,
            43,
            44,
            45,
            52,
            53,
            54,
            55,
            56,
            73,
            74,
            75,
            76,
            77
        ]

        function removeDirections(phone) {
            var regEx = /^(?:(?:\+66|0066|66)[\s-]{0,3}(?:\(0\)[\s-]{0,3})?|0)/

            return phone.replace(regEx, "");
        }

        function removeSpecialChars(phone) {
            var regEx = /\|&;\$%@"<>\(\)\+/g;

            return phone.replace(regEx, "");
        }

        function addZeroStart(phone) {
            if (phone[0] != 0) {
                phone = '0' + phone
            }

            return phone;
        }

        function checkForPrefix(phone) {
            var regStr = "^0(";
            regStr += prefixes.join("|");
            regStr += ")";

            var regEx = new RegExp(regStr);
            return regEx.test(phone);
        }

        function checkWhatLength(phone) {
            var regStr = "^0(";
            regStr += prefixesForLength.join("|");
            regStr += ")";

            var regEx = new RegExp(regStr);
            return regEx.test(phone);
        }

        function checkPhoneLength(phone) {
            phone = phone.replace(/\D+/g, '');
            var whatLength = checkWhatLength(phone);
            if (whatLength) {
                if (phone.length < 9 || phone.length > 10) {
                    return false
                }
                return true
            } else {
                if (phone.length != 10) {
                    return false
                }
                return true
            }

        }

        function phoneValidation(phone) {
            phone = removeDirections(phone);
            phone = removeSpecialChars(phone);
            phone = addZeroStart(phone);
            var prefix = checkForPrefix(phone);
            var length = checkPhoneLength(phone);

            if (prefix && length || phone == 1234567890) {
                return true;
            }
            return false;
        }

        var name = form.querySelector('input[name="name"]').value;
        var nameinputField = form.querySelector('input[name="name"]');
        var phone1 = form.querySelector('input[name="phone"]').value;
        var phoneInputField1 = form.querySelector('input[name="phone"]');
        var msg0 = form.querySelector('.message0');
        var msg1 = form.querySelector('.message1');
        var loader = form.querySelector('#loader');
        if (name === "") {
            showMsgName(nameinputField);
            return false;
        } else
        if (phoneValidation(phone1)) {
            msg0.style.display = 'none';
            msg1.style.display = 'none';
            nameinputField.style.borderColor = 'inherit';
            phoneInputField1.style.borderColor = 'inherit';
            loader.style.display = 'block';
            submitButton.disabled = 'true';
            return true;
        } else {
            msg0.style.display = 'none';
            msg1.style.display = 'none';
            nameinputField.style.borderColor = 'inherit';
            phoneInputField1.style.borderColor = 'inherit';
            if (!phoneValidation(phone1)) {
                showMsg(phoneInputField1);
            }
            if (phone1 === "") {
                showMsgNumber(phoneInputField1);
            }
            return false;
        }

        function showMsg(invalidInput) {
            //phone number is invalid
            invalidInput.style.border = '1px solid #D91E18';
            invalidInput.nextElementSibling.style.display = 'block';
            invalidInput.nextElementSibling.textContent = 'หมายเลขโทรศัพท์นี้ไม่ถูกต้องค่ะ';
        }

        function showMsgNumber(invalidInput) {
            //phone field is empty
            invalidInput.style.border = '1px solid #D91E18';
            invalidInput.nextElementSibling.style.display = 'block';
            invalidInput.nextElementSibling.textContent = 'ไม่สามารถเว้นช่องระบุเบอร์โทรศัพท์ได้ค่ะ';
        }

        function showMsgName(invalidInput) {
            //name field is empty
            invalidInput.style.border = '1px solid #D91E18';
            invalidInput.nextElementSibling.style.display = 'block';
            invalidInput.nextElementSibling.textContent = 'ไม่สามารถเว้นช่องระบุชื่อได้ค่ะ';
        }
    } else {
        return true;
    }
}

document.addEventListener('DOMContentLoaded', function() {
    var names = document.querySelectorAll('[name=name]');

    // prevent writing numbers in name inputs
    names.forEach(function(name) {
        name.addEventListener('keypress', preventNumber);
        name.addEventListener('keyup', preventNumber);
        name.addEventListener('keydown', preventNumber)
    })

    function preventNumber(e) {
        if (e.key === '0' || e.key === '1' || e.key === '2' || e.key === '3' || e.key === '4' || e.key === '5' || e.key === '6' || e.key === '7' || e.key === '8' || e.key === '9') {
            e.preventDefault();
        }
    }
});

function checkEmail(formIndex) {
    if (disableValidation !== true) {
        var form = document.querySelector('.form_' + formIndex);
        var submitButton = document.querySelector('.submitIndex_' + formIndex);
        var elem = form.querySelector('input[name="email"]');
        var msg0e = form.querySelector('.message0e');
        var loader = form.querySelector('#loader');
        var pattern = elem.getAttribute("pattern");
        var re = new RegExp(pattern);
        if (re.test(elem.value)) {
            msg0e.style.display = 'none';
            loader.style.display = 'block';
            submitButton.disabled = true;
            return true;
        } else {
            loader.style.display = 'none';
            submitButton.disabled = false;
            elem.style.border = '1px solid #D91E18';
            elem.nextElementSibling.style.display = 'block';
            elem.nextElementSibling.textContent = 'Invalid value.';
            return false;
        }
    }
}